// BKMessageBox.h: interface for the CBKMessageBox class.
//

#pragma once

class CBKMessageBox
{
		HWND m_hwnd;
	public:
		CBKMessageBox()
		{
			m_hwnd = AfxGetMainWnd()->GetSafeHwnd();
		};
		virtual ~CBKMessageBox()
		    = default;
		int Show(const CString &strText, UINT nType = MB_OK, UINT nIDHelp = 0) const;
		int Show(UINT strID, UINT nType = MB_OK, UINT nIDHelp = 0) const;
		int Show(LPCTSTR lpszText, UINT nType = MB_OK, UINT nIDHelp = 0) const;
		int Show(const std::wstring &str, UINT nType = MB_OK, UINT nIDHelp = 0) const;
};

extern CBKMessageBox g_BKMsgBox;
